<?
if($ku['level']<105){
echo '<div class="event"><h1>Алмазная</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo '<h3>Данная локация доступна после 105-го уровня включительно!</h3>'."\n";
echo 'Локация позволяет выращивать алмазы, делать из них ключи которые в свою очередь можно обменивать на настоящие ключи! <br/>'."\n";
echo 'И это только начало! <img src="images/smiles/super.gif" alt="o"/>'."\n";
echo '</div></div>'."\n";
include_once('inc/foot.php');
exit;
} else {
$config_alma_price = 7; // Ключей за 3 дня
$time = time();

// Оплата и доплата на 3 дня
if(isset($_GET['payment_alm'])){
if($ku['zkl']>=$config_alma_price){
if($ku['almaznaya_time']<$time){$pai_sen = $time+259200;} else {$pai_sen = $ku['almaznaya_time']+259200;}
mysql_querll('UPDATE `kolhoz_user` SET `almaznaya_time`="'.($pai_sen).'", `zkl`="'.($ku['zkl']-$config_alma_price).'" WHERE `id`="'.$ku['id'].'"');
header('location:?almaznaya');
} else {$payment_alm_otvet = '<span class="title">У вас не хватает ключей.</span><br/>'."\n";}
}

if(!($ku['almaznaya_time']>$time)){

echo '<div class="event"><h1>Алмазная</h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo $payment_alm_otvet;
echo 'Для работы алмазной нужно оплатить работу персонала,<br/>';
echo 'Требуется '.$config_alma_price.' ключей для 3-х дней бесперебойной работы!<br/>'."\n";
echo ($ku['zkl']>=$config_alma_price?' - <a href="?almaznaya&payment_alm">Произвести оплату?</a> <img src="images/smiles/kofe.gif" alt="o"/>':' - У вас не хватает ключей для оплаты. <img src="images/smiles/stop.gif" alt="o"/>')."\n";
echo '</div></div>'."\n";
include_once('inc/foot.php');
exit;

} else {

if(isset($_GET['processing'])&&($ku['diamond']>=1)){
include_once('inc/almaznaya/processing.php');
exit;

} else {
//===========================
if(isset($_GET['product'])){
if(is_numeric($_GET['product'])){
$get_inf = floor($_GET['product']);
if($get_inf>=1){
$inf_alm = mysql_fetch_assoc(mysql_querll('SELECT * FROM `kolhoz_almaznaya_belts` WHERE `id`="'.$get_inf.'"'));
if($inf_alm['id_user'] == $ku['id']){
if($inf_alm['product']!=1){
if($ku['rubies']>=20000000){
mysql_querll('UPDATE `kolhoz_user` SET `rubies`="'.($ku['rubies']-20000000).'" WHERE `id`="'.$ku['id'].'"');
mysql_querll('UPDATE `kolhoz_almaznaya_belts` SET `product`="1", `start_time`="'.$time.'", `end_time`="'.($time+86400).'" WHERE `id`="'.$get_inf.'"');
header('location:?almaznaya');
} else {$new_belt_otvet = '<li><span class="title">У вас не хватает рубинов.</span></li><br/>'."\n";}
}}}}}

elseif(isset($_GET['acceleration'])){
if(is_numeric($_GET['acceleration'])){
$get_inf = floor($_GET['acceleration']);
if($get_inf>=1){
$inf_alm = mysql_fetch_assoc(mysql_querll('SELECT * FROM `kolhoz_almaznaya_belts` WHERE `id`="'.$get_inf.'"'));
if($inf_alm['id_user'] == $ku['id']){
if(($inf_alm['product']==1)&&(($inf_alm['end_time']-($inf_alm['acceleration']*21600))>$time)&&($inf_alm['acceleration']!=1)&&(($inf_alm['start_time']+480)<$time)){
if($ku['rubies']>=70000000){
mysql_querll('UPDATE `kolhoz_user` SET `rubies`="'.($ku['rubies']-70000000).'" WHERE `id`="'.$ku['id'].'"');
mysql_querll('UPDATE `kolhoz_almaznaya_belts` SET `acceleration`="1" WHERE `id`="'.$get_inf.'"');
header('location:?almaznaya');
} else {$new_belt_otvet = '<li><span class="title">У вас не хватает рубинов.</span></li><br/>'."\n";}
}}}}}

elseif(isset($_GET['extraction'])){
if(is_numeric($_GET['extraction'])){
$get_inf = floor($_GET['extraction']);
if($get_inf>=1){
$inf_alm = mysql_fetch_assoc(mysql_querll('SELECT * FROM `kolhoz_almaznaya_belts` WHERE `id`="'.$get_inf.'"'));
if($inf_alm['id_user'] == $ku['id']){
if(($inf_alm['product']==1)&&(($inf_alm['end_time']-($inf_alm['acceleration']*21600))<=$time)){
$rat_mc = 100000000000;
mysql_querll('UPDATE `kolhoz_user` SET `diamond`="'.($ku['diamond']+1).'", `rating`="'.($ku['rating']+$rat_mc).'" WHERE `id`="'.$ku['id'].'"');
mysql_querll('UPDATE `kolhoz_almaznaya_belts` SET `product`="0", `acceleration`="0", `start_time`="0", `end_time`="0", `results`="'.($inf_alm['results']+1).'" WHERE `id`="'.$get_inf.'"');
update_mc($rat_mc);
header('location:?almaznaya');
}}}}}

elseif(isset($_GET['new_belt'])){
$kolish = mysql_result(mysql_querll('SELECT COUNT(`id`) FROM `kolhoz_almaznaya_belts` WHERE `id_user`="'.$ku['id'].'"'), 0);
if($kolish<100){
$kolish_dd = cp_belts($kolish);
if($ku['euro']>=$kolish_dd){
echo $kolish.' '.$kolish_dd.' '.$ku['euro'].'<br/>';
mysql_querll('UPDATE `kolhoz_user` SET `euro`="'.($ku['euro']-$kolish_dd).'" WHERE `id`="'.$ku['id'].'"');
mysql_querll('INSERT INTO `kolhoz_almaznaya_belts` SET `id_user`="'.$ku['id'].'"');
header('location:?almaznaya');
} else {$new_belt_otvet = '<li><span class="title">У вас не хватает евро.</span></li><br/>'."\n";}
}}
//===========================

echo '<div class="event"><h1><a href="?almaznaya&rand='.rand(10000,99999).'">Алмазная</a></h1></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo $payment_alm_otvet;
echo '<li><img width="18" height="18" src="images/icons/time.png" alt="o"/> Работа оплачена на <span class="title">'.time_left($ku['almaznaya_time']-$time).'</span> <a href="?almaznaya&payment_alm">Оплатить</a> ещё на <span class="title">3</span> дня?</li>'."\n";
if($ku['diamond']>=1){
echo '<li><img width="16" height="16" src="images/admm/diamond.png" alt="o"/> У вас <span class="title">'.$ku['diamond'].'</span> алмаз'.(($ku['diamond']>1)&&($ku['diamond']<5)?'a':'').($ku['diamond']>4?'ов':'').'! Отправиться в <a href="?almaznaya&processing"><span class="title">мастерскую</span></a>?</li>'."\n";
} else {echo '<li><img width="16" height="16" src="images/admm/diamond.png" alt="o"/> У вас пока нет алмазов для мастерской!</li>'."\n";}
echo '</div></div>'."\n";
echo '<div class="content"><div class="block">'."\n";
echo $new_belt_otvet;

$sql = mysql_querll('SELECT * FROM `kolhoz_almaznaya_belts` WHERE `id_user`="'.$ku['id'].'" ORDER BY `id`');
$sql_sum_strok = mysql_affected_rows();

if($sql_sum_strok<1){
mysql_querll('INSERT INTO `kolhoz_almaznaya_belts` SET `id_user`="'.$ku['id'].'"');
header('location:?almaznaya');
}

//=================================================
while($sql_array = mysql_fetch_assoc($sql)){
echo '<li style="color:#447744;">'."\n";
echo '<img width="48" height="48" src="images/admm/belt.png" alt="o" class="portrait"/>'."\n";
echo '<div><span class="title">'.($sql_array['product']!=1?'Аппарат «Белт»</span>':''.(($sql_array['end_time']-($sql_array['acceleration']*21600))>$time?'Идёт выращивание</span> (Завершение через '.time_left(($sql_array['end_time']-($sql_array['acceleration']*21600))-$time).')':'Готов к извлечению</span>').'').'</div>'."\n";
echo '<div>'."\n";

if($sql_array['product']!=1){
echo '<img width="16" height="16" src="images/admm/graphite.png" alt="o"/> <a href="?almaznaya&product='.$sql_array['id'].'">Загрузить графит</a>'."\n";
}

elseif(($sql_array['product']==1)&&(($sql_array['end_time']-($sql_array['acceleration']*21600))>$time)){
if($sql_array['acceleration']!=1){
if(($sql_array['start_time']+480)<$time){
echo '<img width="16" height="16" src="images/admm/energy_alm.png" alt="o"/> <a href="?almaznaya&acceleration='.$sql_array['id'].'">Увеличить силу тока</a>'."\n";
} else {echo 'Увеличить силу тока через '.time_left(($sql_array['start_time']+480)-$time)."\n";}
} else {echo 'Сила тока была увеличена!'."\n";}
}

elseif(($sql_array['product']==1)&&(($sql_array['end_time']-($sql_array['acceleration']*21600))<=$time)){
echo '<img width="16" height="16" src="images/admm/extraction.png" alt="o"/> <a href="?almaznaya&extraction='.$sql_array['id'].'">Извлечь алмаз</a>'."\n";
}

echo '</div>'."\n";
echo '<div style="clear:both"></div>'."\n";
echo '</li>'."\n";
}
//=================================================

if($sql_sum_strok<100){
echo '<li>'."\n";
echo '<img width="48" height="48" src="images/admm/new_belt.png" alt="o" class="portrait"/>'."\n";
echo '<div><span class="title">Запустить аппарат «Белт»</span></div>'."\n";
echo '<div>'."\n";
echo '<img width="16" height="16" src="images/icons/cart.png" alt="o"/> <a href="?almaznaya&new_belt">Запустить</a> за <img width="16" height="16" src="images/euro.png" alt="o"/> <span class="title">'.razdelen(cp_belts($sql_sum_strok)).' евро</span>'."\n";
echo '</div>'."\n";
echo '<div style="clear:both"></div>'."\n";
echo '</li>'."\n";
}

echo '<br/>'."\n";
echo '<li><span class="title">Внимание!</span> Обязательно прочесть <a href="?almaznaya&info"><span class="title">руководство</span></a>.</li>'."\n";
echo '<li>Дабы избежать лишних вопросов и недоразумений.</li>'."\n";
if(isset($_GET['info'])){
echo "<li class='ptm minor'>1. Операция <span class='title'>".'"Загрузить графит"'."</span> стоит <img src='images/icons/ruby.png' alt='o'/> <span class='title'>20'000'000</span> рубинов.</li>"."\n";
echo "<li class='ptm minor'>2. Операция <span class='title'>".'"Увеличить силу тока"'."</span> стоит <img src='images/icons/ruby.png' alt='o'/> <span class='title'>70'000'000</span> рубинов и ускоряет рост алмаза на <span class='title'>6 часов.</span></li>"."\n";
echo "<li class='ptm minor'>3. Операция <span class='title'>".'"Извлечь алмаз"'."</span> приносит <img width='16' height='16' src='images/admm/diamond.png' alt='o'/> <span class='title'>1</span> алмаз и <img src='images/icons/experience.png' alt='o'/> <span class='title'>100.00g</span> опыта.</li>"."\n";
}

echo '</div></div>'."\n";
include_once('inc/foot.php');
exit;
}
}
}
?>